package io.renren.modules.app.service.impl;


import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.dao.WygsxxDao;
import io.renren.modules.app.entity.WygsxxEntity;
import io.renren.modules.app.service.WygsxxService;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;


@Service("wygsxxService")
public class WygsxxServiceImpl extends ServiceImpl<WygsxxDao, WygsxxEntity> implements WygsxxService {


    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param wygsxxEntity
     * @return
     */
    @Override
    public PageInfo<WygsxxEntity> queryByPage(Integer pageNum, Integer pageSize, WygsxxEntity wygsxxEntity) {
        PageHelper.startPage(pageNum, pageSize);
        List<WygsxxEntity> wygsxxEntitys = baseMapper.queryByPage(wygsxxEntity);
        PageInfo<WygsxxEntity> pageInfo = new PageInfo<WygsxxEntity>(wygsxxEntitys);
        return pageInfo;
    }

    /**
    * 单个或批量删除
    * @param ids
    */
    @Override
    public void deleteBatch(String[] ids) {
        this.deleteBatchIds(Arrays.asList(ids));
    }

	@Override
	public String querywygsbm() {
		
		return baseMapper.querywygsbm();
	}


}